<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://bootswatch.com/5/sketchy/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <title>DashBoard Computación Ubicua</title>
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <div class="container">
            <a class="navbar-brand" href="#">DashBoard Sensores</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <!-- Agrega la clase mr-auto para alinear los elementos a la derecha -->
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="#">Inicio</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Estudiantes</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</head>
<body>
    <div class="principal-container">
        <div class="informacion_pagina">
            <h1>Bienvenidos!!</h1>
            <p>Este aplicativo fue diseñado para visualizar informcación recopilada por sensores de humedad y temperatura</p>
        </div>
        
        <div class="container mt-4">
            <div class="row">
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">Gráfico 1</h5>
                            <canvas id="grafico1"></canvas>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">Gráfico 2</h5>
                            <canvas id="grafico2"></canvas>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 mt-4">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">Gráfico 3</h5>
                            <canvas id="grafico3"></canvas>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 mt-4">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">Gráfico 4</h5>
                            <canvas id="grafico4"></canvas>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/5.5.0/js/bootstrap.min.js"></script>

    <!-- Scripts para crear tus gráficos con Chart.js -->
    <script>
        // Datos de ejemplo para temperatura y humedad de 4 sensores
        var sensor1Data = [23, 25, 26, 24];
        var sensor2Data = [45, 42, 44, 43];
        var labels = ['Tiempo 1', 'Tiempo 2', 'Tiempo 3', 'Tiempo 4'];

        // Gráfico 1 (Temperatura y Humedad del Sensor 1)
        var ctx1 = document.getElementById('grafico1').getContext('2d');
        new Chart(ctx1, {
            type: 'line',
            data: {
                labels: labels,
                datasets: [{
                    label: 'Temperatura Sensor 1',
                    data: sensor1Data,
                    borderColor: 'rgba(75, 192, 192, 1)',
                    backgroundColor: 'rgba(75, 192, 192, 0.2)',
                }, {
                    label: 'Humedad Sensor 1',
                    data: sensor2Data,
                    borderColor: 'rgba(255, 99, 132, 1)',
                    backgroundColor: 'rgba(255, 99, 132, 0.2)',
                }]
            },
        });
        // Puedes agregar más gráficos siguiendo el mismo patrón
    </script>

    <script>
        // Datos de ejemplo para temperatura y humedad de 4 sensores
        var sensor1Data = [23, 25, 26, 24];
        var sensor2Data = [45, 42, 44, 43];
        var labels = ['Tiempo 1', 'Tiempo 2', 'Tiempo 3', 'Tiempo 4'];

        // Gráfico 1 (Temperatura y Humedad del Sensor 1)
        var ctx1 = document.getElementById('grafico2').getContext('2d');
        new Chart(ctx1, {
            type: 'line',
            data: {
                labels: labels,
                datasets: [{
                    label: 'Temperatura Sensor 1',
                    data: sensor1Data,
                    borderColor: 'rgba(75, 192, 192, 1)',
                    backgroundColor: 'rgba(75, 192, 192, 0.2)',
                }, {
                    label: 'Humedad Sensor 1',
                    data: sensor2Data,
                    borderColor: 'rgba(255, 99, 132, 1)',
                    backgroundColor: 'rgba(255, 99, 132, 0.2)',
                }]
            },
        });
        // Puedes agregar más gráficos siguiendo el mismo patrón
    </script>

    <script>
        // Datos de ejemplo para temperatura y humedad de 4 sensores
        var sensor1Data = [23, 25, 26, 24];
        var sensor2Data = [45, 42, 44, 43];
        var labels = ['Tiempo 1', 'Tiempo 2', 'Tiempo 3', 'Tiempo 4'];

        // Gráfico 1 (Temperatura y Humedad del Sensor 1)
        var ctx1 = document.getElementById('grafico3').getContext('2d');
        new Chart(ctx1, {
            type: 'line',
            data: {
                labels: labels,
                datasets: [{
                    label: 'Temperatura Sensor 1',
                    data: sensor1Data,
                    borderColor: 'rgba(75, 192, 192, 1)',
                    backgroundColor: 'rgba(75, 192, 192, 0.2)',
                }, {
                    label: 'Humedad Sensor 1',
                    data: sensor2Data,
                    borderColor: 'rgba(255, 99, 132, 1)',
                    backgroundColor: 'rgba(255, 99, 132, 0.2)',
                }]
            },
        });
        // Puedes agregar más gráficos siguiendo el mismo patrón
    </script>

    <script>
        // Datos de ejemplo para temperatura y humedad de 4 sensores
        var sensor1Data = [23, 25, 26, 24];
        var sensor2Data = [45, 42, 44, 43];
        var labels = ['Tiempo 1', 'Tiempo 2', 'Tiempo 3', 'Tiempo 4'];

        // Gráfico 1 (Temperatura y Humedad del Sensor 1)
        var ctx1 = document.getElementById('grafico4').getContext('2d');
        new Chart(ctx1, {
            type: 'line',
            data: {
                labels: labels,
                datasets: [{
                    label: 'Temperatura Sensor 1',
                    data: sensor1Data,
                    borderColor: 'rgba(75, 192, 192, 1)',
                    backgroundColor: 'rgba(75, 192, 192, 0.2)',
                }, {
                    label: 'Humedad Sensor 1',
                    data: sensor2Data,
                    borderColor: 'rgba(255, 99, 132, 1)',
                    backgroundColor: 'rgba(255, 99, 132, 0.2)',
                }]
            },
        });
        // Puedes agregar más gráficos siguiendo el mismo patrón
    </script>
</body>
</html>